{"openapi":"3.0.3","info":{"title":"VIMERS Portal Service API","description":"VIMERS Portal Service API documentation","termsOfService":"https://vimers.vn/privacy-policy","contact":{"name":"VIMERS., JSC","url":"https://vimers.vn","email":"contact@vimers.vn"},"license":{"name":"VIMERS., JSC","url":"https://vimers.vn/license"},"version":"1.0.0"},"servers":[{"url":"https://api.portal.vimers.vn:443","description":"Inferred Url"}],"tags":[{"name":"Access Log"},{"name":"Application"},{"name":"Authentication"},{"name":"Com Cat Management"},{"name":"Common Category"},{"name":"Notification","description":"The APIs for managing notification."},{"name":"Onboarding"},{"name":"User"},{"name":"User Account"},{"name":"User Email"},{"name":"User Sync Log"},{"name":"Utilities","description":"The utility APIs."},{"name":"keycloak-me-controller","description":"Keycloak Me Controller"},{"name":"keycloak-sso-controller","description":"Keycloak Sso Controller"}],"paths":{"/api/public/access-log":{"get":{"tags":["Access Log"],"summary":"Read a Access Log","operationId":"readUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfAccessLogDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["Access Log"],"summary":"Create a Access Log","operationId":"createUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessLogVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfAccessLogDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/public/access-log/search":{"post":{"tags":["Access Log"],"summary":"Search Access Log","operationId":"searchUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessLogVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfAccessLogDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/admin/application":{"get":{"tags":["Application"],"summary":"Read a Application","operationId":"readUsingGET_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfApplicationDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"put":{"tags":["Application"],"summary":"Update a Application","operationId":"updateUsingPUT_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"activated","in":"query","required":false,"style":"form","schema":{"type":"boolean"}},{"name":"activatedText","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"baseUrl","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"code","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"crowdAppName","in":"query","required":false,"style":"form","schema":{"pattern":"^[a-zA-Z0-9-_]+$","type":"string"}},{"name":"description","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"id","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"initializedFields","in":"query","required":false,"style":"pipeDelimited","schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"logoFile","in":"query","required":false,"style":"form","schema":{"type":"string","format":"binary"}},{"name":"logoUrl","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"metadata","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"name","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"platforms","in":"query","required":false,"style":"pipeDelimited","schema":{"type":"array","items":{"type":"string"}}},{"name":"platformsText","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"sortOrder","in":"query","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"sortOrderText","in":"query","required":false,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfApplicationDTO"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfApplicationDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["Application"],"summary":"Create a Application","operationId":"createUsingPOST_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["baseUrl"],"type":"object","properties":{"activated":{"type":"boolean"},"baseUrl":{"type":"string"},"code":{"type":"string"},"crowdAppName":{"type":"string"},"description":{"type":"string"},"id":{"type":"string"},"initializedFields":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"logoFile":{"type":"string","format":"binary"},"logoUrl":{"type":"string"},"metadata":{"type":"string"},"name":{"type":"string"},"platforms":{"type":"array","items":{"type":"string"}},"platformsText":{"type":"string"},"sortOrder":{"type":"integer","format":"int32"}}},"encoding":{"initializedFields":{"contentType":"text/plain"},"metadata":{"contentType":"text/plain"},"code":{"contentType":"text/plain"},"description":{"contentType":"text/plain"},"logoUrl":{"contentType":"text/plain"},"platforms":{"contentType":"text/plain"},"platformsText":{"contentType":"text/plain"},"baseUrl":{"contentType":"text/plain"},"logoFile":{"contentType":"text/plain"},"crowdAppName":{"contentType":"text/plain"},"sortOrder":{"contentType":"text/plain"},"name":{"contentType":"text/plain"},"id":{"contentType":"text/plain"},"activated":{"contentType":"text/plain"}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfApplicationDTO"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfApplicationDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["Application"],"summary":"Delete a Application","operationId":"deleteUsingDELETE_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/admin/application/search":{"post":{"tags":["Application"],"summary":"Search Application","operationId":"searchApplicationUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfApplicationDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/admin/application/search/full":{"get":{"tags":["Application"],"summary":"Full list search Application","operationId":"fullListSearchUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfListResultOfApplicationDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/check-phone-number":{"post":{"tags":["Utilities"],"summary":"Check phone number is valid for registering","description":"return true if phone number is available for registering, otherwise false","operationId":"checkPhoneNumberUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckPhoneVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/get-token-owner":{"get":{"tags":["Authentication"],"summary":"Get current logged in user","operationId":"getTokenOwnerUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfTokenOfobject"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/login":{"post":{"tags":["Authentication"],"summary":"Login current user and save current device token","operationId":"loginUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfTokenOfobject"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/logout":{"get":{"tags":["Authentication"],"summary":"Logout current user and delete current device token","operationId":"logoutUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/otp/request":{"post":{"tags":["Authentication"],"summary":"Request OTP for registering new account","operationId":"requestOtpUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestTokenVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfVerificationRequestDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/otp/verify":{"post":{"tags":["Authentication"],"summary":"Verify OTP for registering new account","description":"return true if OTP is correct","operationId":"verifyOtpUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyTokenVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/refresh-token":{"post":{"tags":["Authentication"],"summary":"Get new token using RefreshToken","operationId":"refreshTokenUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDeviceVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfTokenOfobject"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/com-cat":{"get":{"tags":["Common Category"],"summary":"Read a Common Category","operationId":"readUsingGET_5","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"put":{"tags":["Common Category"],"summary":"Update a Common Category","operationId":"updateUsingPUT_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["Common Category"],"summary":"Create a Common Category","operationId":"createUsingPOST_5","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["Common Category"],"summary":"Delete a Common Category","operationId":"deleteUsingDELETE_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/com-cat/search":{"post":{"tags":["Common Category"],"summary":"Search Common Category","operationId":"searchUsingPOST_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfComCatDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/com-cat-type":{"get":{"tags":["Common Category"],"summary":"Read a Common Category Type","operationId":"readUsingGET_7","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatTypeDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"put":{"tags":["Common Category"],"summary":"Update a Common Category Type","operationId":"updateUsingPUT_5","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatTypeVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatTypeDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["Common Category"],"summary":"Create a Common Category Type","operationId":"createUsingPOST_7","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatTypeVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatTypeDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["Common Category"],"summary":"Delete a Common Category Type","operationId":"deleteUsingDELETE_5","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/com-cat-type/search":{"post":{"tags":["Common Category"],"summary":"Search Common Category Type","operationId":"searchUsingPOST_5","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatTypeVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfComCatTypeDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/admin/com-cat-management/search/by-com-cat-type-code":{"get":{"tags":["cxm-com-cat-controller"],"summary":"Search Common Category by Com Cat Type Code","operationId":"searchUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"comCatTypeCode","in":"query","description":"comCatTypeCode","required":true,"style":"form","schema":{"type":"string"}},{"name":"parentId","in":"query","description":"parentId","required":false,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/keycloak/logout-session":{"post":{"tags":["keycloak-me-controller"],"summary":"logoutSession","operationId":"logoutSessionUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"authenticated","in":"query","required":false,"style":"form","schema":{"type":"boolean"}},{"name":"authorities[0].authority","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"credentials","in":"query","required":false,"style":"form","schema":{"type":"object"}},{"name":"details","in":"query","required":false,"style":"form","schema":{"type":"object"}},{"name":"principal","in":"query","required":false,"style":"form","schema":{"type":"object"}}],"responses":{"200":{"description":"OK"},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/keycloak/me":{"get":{"tags":["keycloak-me-controller"],"summary":"getCurrentUser","operationId":"getCurrentUserUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"authenticated","in":"query","required":false,"style":"form","schema":{"type":"boolean"}},{"name":"authorities[0].authority","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"credentials","in":"query","required":false,"style":"form","schema":{"type":"object"}},{"name":"details","in":"query","required":false,"style":"form","schema":{"type":"object"}},{"name":"principal","in":"query","required":false,"style":"form","schema":{"type":"object"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/auth/keycloak/callback":{"get":{"tags":["keycloak-sso-controller"],"summary":"callback","operationId":"callbackUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"code","in":"query","description":"code","required":true,"style":"form","schema":{"type":"string"}},{"name":"state","in":"query","description":"state","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/auth/keycloak/logout":{"get":{"tags":["keycloak-sso-controller"],"summary":"logout","operationId":"logoutUsingGET_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/auth/keycloak/redirect":{"get":{"tags":["keycloak-sso-controller"],"summary":"redirect","operationId":"redirectUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"prompt","in":"query","description":"prompt","required":false,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfMapOfstringAndstring"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/core/notification":{"get":{"tags":["Notification"],"summary":"Read a Notification","operationId":"readNotificationUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfNotificationDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/notification/search":{"post":{"tags":["Notification"],"summary":"Search Notification","operationId":"searchUsingPOST_7","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfNotificationDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/onboarding":{"get":{"tags":["Onboarding"],"summary":"Read a Onboarding","operationId":"readUsingGET_9","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfOnboardingDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"put":{"tags":["Onboarding"],"summary":"Update a Onboarding","operationId":"updateUsingPUT_7","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfOnboardingDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["Onboarding"],"summary":"Create a Onboarding","operationId":"createUsingPOST_9","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfOnboardingDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["Onboarding"],"summary":"Delete a Onboarding","operationId":"deleteUsingDELETE_7","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/onboarding/search":{"post":{"tags":["Onboarding"],"summary":"Search Onboarding","operationId":"searchUsingPOST_9","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfOnboardingDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/public/application/search":{"post":{"tags":["Application"],"summary":"Search Application (public)","operationId":"searchApplicationUsingPOST_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfApplicationDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/public/onboarding":{"get":{"tags":["Onboarding"],"summary":"Get active onboardings","description":"return list of active onboardings","operationId":"getCurrentOnboardingsUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfListOfOnboardingDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account":{"get":{"tags":["User Account"],"summary":"Get info","description":"Get information of logged in user's account","operationId":"getInformationUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"put":{"tags":["User Account"],"summary":"Update logged in user's account information","description":"Update logged in user's account","operationId":"updateProfileUsingPUT_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserAccountVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["User Account"],"summary":"Delete logged in user's account setting","description":"Delete logged in user's account setting","operationId":"deleteAccountUsingDELETE_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckPasswordVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseEntity"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/change-password":{"post":{"tags":["User Account"],"summary":"Change password","description":"Change password of logged in user's account","operationId":"changePasswordUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserAccountVM_ChangePassword"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseEntity"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/check-password":{"post":{"tags":["User Account"],"summary":"Check password","description":"Check valid password for delete account and change password","operationId":"checkPasswordUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckPasswordVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/register":{"post":{"tags":["User Account"],"summary":"Register new account","description":"Register new account","operationId":"registerAccountUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserAccountVM_Register"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/reset-password":{"post":{"tags":["User Account"],"summary":"Reset password","description":"return status 200 if password have been reset","operationId":"resetPasswordUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserAccountVM_ResetPassword"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseEntity"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/reset-password/otp/request":{"post":{"tags":["User Account"],"summary":"Request OTP for reset password","operationId":"requestOtpResetPasswordUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestTokenVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfVerificationRequestDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/reset-password/otp/verify":{"post":{"tags":["User Account"],"summary":"Verify OTP for reset password","description":"return true if OTP is correct","operationId":"verifyOtpResetPasswordUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyTokenVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/signature-image":{"get":{"tags":["User Account"],"summary":"Get signature image","operationId":"getSignatureImageUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"signImgId","in":"query","description":"signImgId","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["User Account"],"summary":"Upload signature image","operationId":"uploadSignatureImageUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["images"],"type":"object","properties":{"images":{"type":"array","description":"images","items":{"type":"string","format":"binary"}}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["User Account"],"summary":"Delete signature image","operationId":"deleteSignatureImageUsingDELETE_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"signImgId","in":"query","description":"signImgId","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseEntity"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/user":{"get":{"tags":["User"],"summary":"Read a User","operationId":"readUsingGET_11","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"put":{"tags":["User"],"summary":"Update a User","operationId":"updateUsingPUT_9","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["User"],"summary":"Create a User","operationId":"createUsingPOST_11","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["User"],"summary":"Delete a User","operationId":"deleteUsingDELETE_9","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/user/lock":{"get":{"tags":["User"],"summary":"Lock a User","operationId":"lockUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user/reset-password":{"get":{"tags":["User"],"summary":"Create new password for a User","operationId":"resetPasswordUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfstring"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user/search":{"post":{"tags":["User"],"summary":"Search User","operationId":"searchUsingPOST_11","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user/unlock":{"get":{"tags":["User"],"summary":"Unlock a User","operationId":"unlockUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/admin/user-email":{"put":{"tags":["User Email"],"summary":"Update a user_email","operationId":"updateUsingPUT_11","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserEmailVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserEmailDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["User Email"],"summary":"Create a user_email","operationId":"createUsingPOST_13","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserEmailVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserEmailDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["User Email"],"summary":"Delete a user_email","operationId":"deleteUsingDELETE_11","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/admin/user-email/active-user":{"put":{"tags":["User Email"],"summary":"Update a user_email","operationId":"activeUsingPUT_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserEmailVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserActiveResultDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/admin/user-email/check-username":{"get":{"tags":["user-email-controller"],"summary":"checkUserName","operationId":"checkUserNameUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"username","in":"query","description":"username","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/admin/user-email/reset-password":{"post":{"tags":["User Email"],"summary":"Reset password cho tài khoản SSO (Crowd) và/hoặc email","operationId":"resetPasswordUsingPOST_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResetPasswordRequestVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfListOfAccountResetResultDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/admin/user-email/search":{"post":{"tags":["User Email"],"summary":"Search user_email","operationId":"searchUserUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserEmailVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfUserEmailDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/admin/user-email/sync-from-keycloak":{"post":{"tags":["User Email"],"summary":"Đồng bộ user từ Crowd về Portal (tạo mới + cập nhật trạng thái)","operationId":"syncFromKeycloakUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserSyncResultDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/admin/user-sync-log/search":{"post":{"tags":["User Sync Log"],"summary":"Search User Sync Log (newest first)","operationId":"searchUsingPOST_13","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSyncLogVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfUserSyncLogDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}}},"components":{"schemas":{"AccessLogDTO":{"title":"AccessLogDTO","type":"object","properties":{"accessTime":{"type":"string","description":"Time access of the Access Log","format":"date-time"},"applicationId":{"type":"string","description":"Application ID of the Access Log","example":"64c5b99a2f3e1a3d2b45f678"},"deviceId":{"type":"string","description":"Device ID of the Access Log","example":"64c5b99a2f3e1a3d2b45f678"},"featureId":{"type":"string","description":"Feature ID of the Access Log","example":"64c5b99a2f3e1a3d2b45f678"},"id":{"type":"string","description":"Id of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"userId":{"type":"string","description":"User ID of the Access Log","example":"64c5b99a2f3e1a3d2b45f678"}}},"AccessLogVM_Create":{"title":"AccessLogVM_Create","type":"object","properties":{"accessTime":{"type":"string","description":"Time access of the Access Log","format":"date-time"},"applicationId":{"type":"string","description":"Application Id of the Access Log","example":"64c5b99a2f3e1a3d2b45f678"},"deviceId":{"type":"string","description":"Device Id of the Access Log","example":"64c5b99a2f3e1a3d2b45f678"},"featureId":{"type":"string","description":"Feature Id of the Access Log","example":"64c5b99a2f3e1a3d2b45f678"},"userId":{"type":"string","description":"User Id of the Access Log","example":"64c5b99a2f3e1a3d2b45f678"}}},"AccessLogVM_Search":{"title":"AccessLogVM_Search","required":["searchType"],"type":"object","properties":{"deviceId":{"type":"string","description":"Device Id of the Access Log","example":"64c5b99a2f3e1a3d2b45f678"},"keyword":{"type":"string","description":"Keyword for the search of the Access Log","example":"64c5b99a2f3e1a3d2b45f678"},"searchType":{"type":"integer","description":"Search type for the search of the Access Log","format":"int32","example":1}}},"AccountResetResultDTO":{"title":"AccountResetResultDTO","type":"object","properties":{"account":{"type":"string"},"message":{"type":"string"},"success":{"type":"boolean"},"type":{"type":"string","enum":["EMAIL","SSO"]}}},"Address":{"title":"Address","type":"object","properties":{"country":{"type":"string","description":"Country of the Address","example":"VN"},"detail":{"type":"string","description":"Detail of the Address","example":"BT1-07, Khu đô thị An Hưng, Phường La Khê, Quận Hà Đông, Thành phố Hà Nội, VN"},"district":{"type":"string","description":"District of the Address","example":"Quận Hà Đông"},"path":{"type":"string"},"province":{"type":"string","description":"Province of the Address","example":"Thành phố Hà Nội"},"state":{"type":"string","description":"State of the Address","example":"US State"},"street":{"type":"string","description":"Street of the Address","example":"Khu đô thị An Hưng"},"ward":{"type":"string","description":"Ward of the Address","example":"Phường La Khê"}}},"ApiResponseBodyOfAccessLogDTO":{"title":"ApiResponseBodyOfAccessLogDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/AccessLogDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfApplicationDTO":{"title":"ApiResponseBodyOfApplicationDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/ApplicationDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfComCatDTO":{"title":"ApiResponseBodyOfComCatDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/ComCatDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfComCatTypeDTO":{"title":"ApiResponseBodyOfComCatTypeDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/ComCatTypeDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfListOfAccountResetResultDTO":{"title":"ApiResponseBodyOfListOfAccountResetResultDTO","type":"object","properties":{"data":{"type":"array","description":"Data object of the response.","example":"{}","items":{"$ref":"#/components/schemas/AccountResetResultDTO"}},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfListOfOnboardingDTO":{"title":"ApiResponseBodyOfListOfOnboardingDTO","type":"object","properties":{"data":{"type":"array","description":"Data object of the response.","example":"{}","items":{"$ref":"#/components/schemas/OnboardingDTO"}},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfListResultOfApplicationDTO":{"title":"ApiResponseBodyOfListResultOfApplicationDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/ListResultOfApplicationDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfMapOfstringAndstring":{"title":"ApiResponseBodyOfMapOfstringAndstring","type":"object","properties":{"data":{"type":"object","additionalProperties":{"type":"string"},"description":"Data object of the response.","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfNotificationDTO":{"title":"ApiResponseBodyOfNotificationDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/NotificationDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfOnboardingDTO":{"title":"ApiResponseBodyOfOnboardingDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/OnboardingDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfAccessLogDTO":{"title":"ApiResponseBodyOfPageOfAccessLogDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfAccessLogDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfApplicationDTO":{"title":"ApiResponseBodyOfPageOfApplicationDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfApplicationDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfComCatDTO":{"title":"ApiResponseBodyOfPageOfComCatDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfComCatDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfComCatTypeDTO":{"title":"ApiResponseBodyOfPageOfComCatTypeDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfComCatTypeDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfNotificationDTO":{"title":"ApiResponseBodyOfPageOfNotificationDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfNotificationDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfOnboardingDTO":{"title":"ApiResponseBodyOfPageOfOnboardingDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfOnboardingDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfUserDTO":{"title":"ApiResponseBodyOfPageOfUserDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfUserDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfUserEmailDTO":{"title":"ApiResponseBodyOfPageOfUserEmailDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfUserEmailDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfUserSyncLogDTO":{"title":"ApiResponseBodyOfPageOfUserSyncLogDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfUserSyncLogDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfTokenOfobject":{"title":"ApiResponseBodyOfTokenOfobject","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/TokenOfobject","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfUserActiveResultDTO":{"title":"ApiResponseBodyOfUserActiveResultDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/UserActiveResultDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfUserDTO":{"title":"ApiResponseBodyOfUserDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/UserDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfUserEmailDTO":{"title":"ApiResponseBodyOfUserEmailDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/UserEmailDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfUserSyncResultDTO":{"title":"ApiResponseBodyOfUserSyncResultDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/UserSyncResultDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfVerificationRequestDTO":{"title":"ApiResponseBodyOfVerificationRequestDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/VerificationRequestDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfboolean":{"title":"ApiResponseBodyOfboolean","type":"object","properties":{"data":{"type":"boolean","description":"Data object of the response.","example":false},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfstring":{"title":"ApiResponseBodyOfstring","type":"object","properties":{"data":{"type":"string","description":"Data object of the response.","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseEntity":{"title":"ApiResponseEntity","type":"object","properties":{"body":{"type":"object"},"bodyData":{"type":"object"},"bodyMessage":{"type":"string"},"statusCode":{"type":"string","enum":["ACCEPTED","ALREADY_REPORTED","BAD_GATEWAY","BAD_REQUEST","BANDWIDTH_LIMIT_EXCEEDED","CHECKPOINT","CONFLICT","CONTINUE","CREATED","DESTINATION_LOCKED","EXPECTATION_FAILED","FAILED_DEPENDENCY","FORBIDDEN","FOUND","GATEWAY_TIMEOUT","GONE","HTTP_VERSION_NOT_SUPPORTED","IM_USED","INSUFFICIENT_SPACE_ON_RESOURCE","INSUFFICIENT_STORAGE","INTERNAL_SERVER_ERROR","I_AM_A_TEAPOT","LENGTH_REQUIRED","LOCKED","LOOP_DETECTED","METHOD_FAILURE","METHOD_NOT_ALLOWED","MOVED_PERMANENTLY","MOVED_TEMPORARILY","MULTIPLE_CHOICES","MULTI_STATUS","NETWORK_AUTHENTICATION_REQUIRED","NON_AUTHORITATIVE_INFORMATION","NOT_ACCEPTABLE","NOT_EXTENDED","NOT_FOUND","NOT_IMPLEMENTED","NOT_MODIFIED","NO_CONTENT","OK","PARTIAL_CONTENT","PAYLOAD_TOO_LARGE","PAYMENT_REQUIRED","PERMANENT_REDIRECT","PRECONDITION_FAILED","PRECONDITION_REQUIRED","PROCESSING","PROXY_AUTHENTICATION_REQUIRED","REQUESTED_RANGE_NOT_SATISFIABLE","REQUEST_ENTITY_TOO_LARGE","REQUEST_HEADER_FIELDS_TOO_LARGE","REQUEST_TIMEOUT","REQUEST_URI_TOO_LONG","RESET_CONTENT","SEE_OTHER","SERVICE_UNAVAILABLE","SWITCHING_PROTOCOLS","TEMPORARY_REDIRECT","TOO_EARLY","TOO_MANY_REQUESTS","UNAUTHORIZED","UNAVAILABLE_FOR_LEGAL_REASONS","UNPROCESSABLE_ENTITY","UNSUPPORTED_MEDIA_TYPE","UPGRADE_REQUIRED","URI_TOO_LONG","USE_PROXY","VARIANT_ALSO_NEGOTIATES"]},"statusCodeValue":{"type":"integer","format":"int32"}}},"ApplicationDTO":{"title":"ApplicationDTO","type":"object","properties":{"activated":{"type":"boolean","description":"Active status of the Application","example":true},"baseUrl":{"type":"string","description":"Base URL of the Application","example":"https://vimers.app.vn"},"code":{"type":"string","description":"Code of the record.","example":"A1687"},"crowdAppName":{"type":"string","description":"crowdAppName of the Application"},"deleted":{"type":"boolean","description":"Status of deletion of the record.","example":true},"deletedBy":{"type":"string","description":"Actor of deletion of the record.","example":"truongtx"},"deletedDate":{"type":"string","description":"Date of deletion of the record.","format":"date-time"},"description":{"type":"string","description":"Description of the record.","example":"Điện thoại Apple iPhone 12"},"id":{"type":"string","description":"Id of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"lastModifiedDate":{"type":"string","description":"Date of modification of the record.","format":"date-time"},"logoUrl":{"type":"string","description":"Logo URL of the Application","example":"https://vimers.app.vn/logo.png"},"metadata":{"type":"string","description":"metadata of the Application"},"name":{"type":"string","description":"Name of the record.","example":"iPhone 12"},"platforms":{"type":"array","description":"Platforms of the Application","example":"[\"web\", \"mobile\"]","items":{"type":"string"}},"sortOrder":{"type":"integer","description":"Display order of the Application","format":"int32","example":1}}},"ApplicationVM_Search":{"title":"ApplicationVM_Search","required":["searchType"],"type":"object","properties":{"activated":{"type":"boolean","description":"Active status of the Application","example":false},"crowdAppName":{"pattern":"^[a-zA-Z0-9-_]+$","type":"string","description":"Crowd App Name of the Application","example":"CROWD_APP_NAME"},"description":{"type":"string","description":"Description of the Application","example":"Điện thoại Apple iPhone 12"},"keyword":{"type":"string","description":"Keyword for the search of the Application","example":"Công ty Cổ phần Vimers, BT1-07, Khu đô thị An Hưng, Hà Đông, Hà Nội, Vietnam"},"metadata":{"type":"string","description":"Metadata of the Application","example":"Ứng dụng được sử dụng phổ biến bởi các thành viên VIMERS"},"name":{"type":"string","description":"Name of the Application","example":"iPhone 12"},"platforms":{"type":"array","description":"Platforms for the search of the Application","example":"[\"web\", \"mobile\"]","items":{"type":"string"}},"searchType":{"type":"integer","description":"Search type for the search of the Application","format":"int32","example":1}}},"CheckPasswordVM":{"title":"CheckPasswordVM","required":["password"],"type":"object","properties":{"password":{"type":"string","description":"Current password of the account.","example":"Secret@123"}}},"CheckPhoneVM":{"title":"CheckPhoneVM","required":["countryCode","phoneNumber"],"type":"object","properties":{"countryCode":{"type":"string","description":"Country code for registration purposes.","example":"VN"},"phoneNumber":{"type":"string","description":"Phone number - check its availability for registration purposes.","example":"84123456789"}}},"ComCatDTO":{"title":"ComCatDTO","required":["activated"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category","example":true},"children":{"type":"array","items":{"$ref":"#/components/schemas/ComCatDTO"}},"childrenCount":{"type":"integer","description":"Count of all children of the record.","format":"int32","example":1},"code":{"type":"string","description":"Code of the record.","example":"A1687"},"comCatTypeId":{"type":"string","description":"ComCatType's ID of the Common Category","example":"64c5b99a2f3e1a3d2b45f678"},"dataType":{"type":"integer","description":"Data type of the Common Category","format":"int32","example":1},"defaultValue":{"type":"boolean","description":"Default value of the Common Category","example":false},"deleted":{"type":"boolean","description":"Status of deletion of the record.","example":true},"deletedBy":{"type":"string","description":"Actor of deletion of the record.","example":"truongtx"},"deletedDate":{"type":"string","description":"Date of deletion of the record.","format":"date-time"},"description":{"type":"string","description":"Description of the record.","example":"Điện thoại Apple iPhone 12"},"firstLevelChildrenCount":{"type":"integer","description":"Count of the first level children of the record.","format":"int32","example":1},"id":{"type":"string","description":"Id of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"level":{"type":"integer","description":"Level of the record.","format":"int32","example":1},"name":{"type":"string","description":"Name of the record.","example":"iPhone 12"},"parentId":{"type":"string","description":"Parent ID of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"pathCode":{"type":"string","description":"Path of the Code of the record.","example":"/MOBILE/IPHONE/"},"pathId":{"type":"string","description":"Path of the ID of the record.","example":"/64c5b99a2f3e1a3d2b45f678/64e1c99b3a5d4e2c1b67f9ab/"},"pathName":{"type":"string","description":"Path of the Name of the record.","example":"iPhone 12 - Mobile Devices"},"pathOrder":{"type":"string","description":"Path of the Order of the record.","example":"/001/001/002/"},"sortOrder":{"type":"integer","description":"Sort order of the record.","format":"int32","example":1},"validation":{"type":"string","description":"Validation of the Common Category","example":"{\"key\": \"value\"}"},"value":{"type":"string","description":"Value of the Common Category","example":"iphone"},"valueType":{"type":"integer","description":"Value type of the Common Category","format":"int32","example":1},"values":{"type":"array","description":"Values of the Common Category","items":{"$ref":"#/components/schemas/ComCatValue"}}}},"ComCatTypeDTO":{"title":"ComCatTypeDTO","type":"object","properties":{"activated":{"type":"boolean"},"code":{"type":"string","description":"Code of the record.","example":"A1687"},"dataType":{"type":"integer","description":"Data type of the Common Category Type","format":"int32","example":1},"deleted":{"type":"boolean","description":"Status of deletion of the record.","example":true},"deletedBy":{"type":"string","description":"Actor of deletion of the record.","example":"truongtx"},"deletedDate":{"type":"string","description":"Date of deletion of the record.","format":"date-time"},"description":{"type":"string","description":"Description of the record.","example":"Điện thoại Apple iPhone 12"},"existComCat":{"type":"boolean"},"id":{"type":"string","description":"Id of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"name":{"type":"string","description":"Name of the record.","example":"iPhone 12"}}},"ComCatTypeVM_Create":{"title":"ComCatTypeVM_Create","required":["activated","code","dataType","name"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category Type","example":true},"code":{"type":"string","description":"Code of the Common Category Type","example":"A1687"},"dataType":{"type":"integer","description":"Data type of the Common Category Type","format":"int32","example":1},"description":{"type":"string","description":"Description of the Common Category Type","example":"Điện thoại Apple iPhone 12"},"name":{"type":"string","description":"Name of the Common Category Type","example":"iPhone 12"}}},"ComCatTypeVM_Search":{"title":"ComCatTypeVM_Search","required":["activated","searchType"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category Type","example":true},"code":{"type":"string","description":"Code of the Common Category Type","example":"A1687"},"description":{"type":"string","description":"Description of the Common Category Type","example":"Điện thoại Apple iPhone 12"},"id":{"type":"string","description":"Id of the Common Category Type","example":"64c5b99a2f3e1a3d2b45f678"},"keyword":{"type":"string","description":"Keyword for the search of the Common Category Type","example":"Công ty Cổ phần Vimers, BT1-07, Khu đô thị An Hưng, Hà Đông, Hà Nội, Vietnam"},"name":{"type":"string","description":"Name of the Common Category Type","example":"iPhone 12"},"searchType":{"type":"integer","description":"Search type for the search of the Common Category Type","format":"int32","example":1}}},"ComCatTypeVM_Update":{"title":"ComCatTypeVM_Update","required":["activated","id"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category Type","example":true},"code":{"type":"string","description":"Code of the Common Category Type","example":"A1687"},"dataType":{"type":"integer","description":"Data type of the Common Category Type","format":"int32","example":1},"description":{"type":"string","description":"Description of the Common Category Type","example":"Điện thoại Apple iPhone 12"},"id":{"type":"string","description":"Id of the Common Category Type","example":"64c5b99a2f3e1a3d2b45f678"},"name":{"type":"string","description":"Name of the Common Category Type","example":"iPhone 12"}}},"ComCatVM_Create":{"title":"ComCatVM_Create","required":["activated","code","comCatTypeId","dataType","name","sortOrder","valueType"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category","example":true},"code":{"type":"string","description":"Code of the Common Category","example":"A1687"},"comCatTypeId":{"type":"string","description":"ComCatType's ID of the Common Category","example":"64c5b99a2f3e1a3d2b45f678"},"dataType":{"type":"integer","description":"Data type of the Common Category","format":"int32","example":1},"defaultValue":{"type":"boolean","description":"Default value of the Common Category","example":false},"description":{"type":"string","description":"Description of the Common Category","example":"Điện thoại Apple iPhone 12"},"level":{"type":"integer","description":"Level of the record.","format":"int32","example":1},"name":{"type":"string","description":"Name of the Common Category","example":"iPhone 12"},"sortOrder":{"type":"integer","description":"Sort order of the record.","format":"int32","example":1},"validation":{"type":"string","description":"Validation of the Common Category","example":"{\"key\": \"value\"}"},"value":{"type":"string","description":"Value of the Common Category","example":"iphone"},"valueType":{"type":"integer","description":"Value type of the Common Category","format":"int32","example":1},"values":{"type":"array","description":"Values of the Common Category","items":{"$ref":"#/components/schemas/ComCatValue"}}}},"ComCatVM_Search":{"title":"ComCatVM_Search","required":["activated","searchType"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category","example":true},"code":{"type":"string","description":"Code of the Common Category","example":"A1687"},"comCatTypeCode":{"type":"string","description":"Code of the Common Category Type","example":"A1687"},"comCatTypeId":{"type":"string","description":"ComCatType's ID of the Common Category","example":"64c5b99a2f3e1a3d2b45f678"},"description":{"type":"string","description":"Description of the Common Category","example":"Điện thoại Apple iPhone 12"},"keyword":{"type":"string","description":"Keyword for the search of the Common Category","example":"Công ty Cổ p
[...]
